import React from 'react';
import { ButtonProps, InputProps } from '@chakra-ui/react';
import { DatepickerConfigs, DatepickerProps, PropsConfigs } from './utils/commonTypes';
interface SingleProps extends DatepickerProps {
    date?: Date;
    onDateChange: (date: Date) => void;
    configs?: DatepickerConfigs;
    disabled?: boolean;
    /**
     * disabledDates: `Uses startOfDay as comparison`
     */
    disabledDates?: Set<number>;
    children?: (value: Date | undefined) => React.ReactNode;
    defaultIsOpen?: boolean;
    closeOnSelect?: boolean;
    id?: string;
    name?: string;
    usePortal?: boolean;
    portalRef?: React.MutableRefObject<null>;
}
export type VariantProps = {
    triggerVariant?: 'default';
    propsConfigs?: PropsConfigs;
} | {
    triggerVariant: 'input';
    triggerIcon?: React.ReactNode;
    propsConfigs?: Omit<PropsConfigs, 'triggerBtnProps'> & {
        inputProps?: InputProps;
        triggerIconBtnProps?: ButtonProps;
    };
};
export type SingleDatepickerProps = SingleProps & VariantProps;
export declare const SingleDatepicker: React.FC<SingleDatepickerProps>;
export {};
